Subject: Re: [PATCH net-next 0/2] ice: support FEC automatic disable

From: Jakub Kicinski <[email-masked]>
Date: Wed, 24 Aug 2022 09:25:21 -0700

On Wed, 24 Aug 2022 16:35:41 +0300 Gal Pressman wrote:
> On 23/08/2022 18:04, Jacob Keller wrote:
> > 2) always treat ETHTOOL_FEC_AUTO as "automatic + allow disable"
> >
> >   This could work, but it means that behavior will differ depending on the
> >   firmware version. Users have no way to know that and might be surprised to
> >   find the behavior differ across devices which have different firmware
> >   which do or don't support this variation of automatic selection.  
> 
> Hi Jacob,
> This is exactly how it's already implemented in mlx5, and I don't really
> understand how firmware version is related? Is it specific to your
> device firmware?
> Maybe you can workaround that in the driver?
> 
> I feel like we're going the wrong way here having different flags
> interpretations by different drivers.

Hm, according to my notes the drivers supporting a single bit and
multiple bits were evenly split when I wrote the docs. Either way
we're going to make someone unhappy?

While we're talking about mlx5 FEC, what does it report on get?
I wasn't sure if it reports the supported or configured mode.